Package Details: boost1.69 1.69.0-12

Git Clone URL: https://aur.archlinux.org/boost1.69.git (read-only, click to copy)
Package Base: boost1.69
Description: Free peer-reviewed portable C++ source libraries - runtime libraries
Upstream URL: https://www.boost.org/
Licenses: custom
Submitter: foutrelis
Maintainer: None
Last Packager: eggz
Votes: 1
Popularity: 0.000413
First Submitted: 2020-02-22 22:14 (UTC)
Last Updated: 2022-02-17 14:47 (UTC)

Latest Comments

eggz commented on 2022-02-17 14:55 (UTC) (edited on 2022-02-17 14:57 (UTC) by eggz)

I dirty fixed this package so I cant actually build. But I will not always have the time to maintain this package, So I'm disowning it for now.

lnex commented on 2022-02-17 05:24 (UTC)

I found that there was a fix already. see this https://github.com/boostorg/python/pull/344/files, I modify the file and works well.

wbthomason commented on 2022-02-09 07:19 (UTC)

This also fails to build for me, and looking at the CI, it seems like it’s an issue there too.

eggz commented on 2022-02-05 10:59 (UTC)

I have had problems for weeks now building this package, and it seems I am the only one. So I'm really confused right now.

I have this blocking error multiple times:

libs/python/src/exec.cpp:109:14: error: ‘_Py_fopen’ was not declared in this scope; did you mean ‘_Py_wfopen’?

Does anyone have a clue what I am doing wrong, besides executing a very complex makepkg --force on this package??? :-D

bismarckkk commented on 2021-12-22 14:01 (UTC) (edited on 2021-12-22 14:01 (UTC) by bismarckkk)

It seems that default python version is 3.10 now. but building this package need python3.9 and it is not in dependcy.

fmauch commented on 2021-05-12 13:51 (UTC) (edited on 2021-05-12 20:53 (UTC) by fmauch)

For me (locally) it fails with

don't know how to make <e>j7
...found 1 target...
...can't find 1 target...

Same in a clean chroot environment. However, since it works for you and the CI/CD it's probably about my local configuration / make flags used. I'll investigate further.

Edit: Nevermind, my config error: I had MAKEFLAGS=j7. Should be MAKEFLAGS=-j7

bionade24 commented on 2021-05-12 13:18 (UTC)

@fmauch: What do you mean, it built fine on my local machine and on https://abs-cd.oscloud.info/cd_manager/boost1.69?

fmauch commented on 2021-05-12 07:37 (UTC) (edited on 2021-05-12 07:37 (UTC) by fmauch)

Seems not to build with that :-(

I might find some time during the upcoming weekend to solve this, but I cannot promise.

@bionade24 Do you host this repo on GH, so I can make a PR?

bionade24 commented on 2021-05-10 16:16 (UTC)

I just use the one Arch upstream used in this PKGBUILD, lets see if the URL you pointed at works.

fmauch commented on 2021-05-06 21:07 (UTC)

The download location seems to be not working anymore, see https://abs-cd.oscloud.info/cd_manager/boost1.69.

Is there a particular reason this doesn't get downloaded from the official location at https://boostorg.jfrog.io/artifactory/main/release/1.69.0/source/boost_1_69_0.tar.bz2?